import { logger } from "../utils/logger.utils";

async function getAlive() {
  logger.trace("kubeServices.getAlive: alive hook checked");
  return { code: 200, state: { state: "alive", noise: "twit-twoo" } };
}

async function getReady() {
  logger.trace("kubeServices.getReady: ready hook checked");
  return "not_implemented";
}

async function getTime() {
  var now: Date = new Date();
  return { responseGenerated: now };
}

module.exports = {
  getAlive,
  getReady,
  getTime,
};
